const {Device} = require('../device');
const state = require('../../state');
const keyboard = require('./button');

state.register('modifier', {
	ctrl: false,
	shift: false,
	alt: false,
	meta: false
});

module.exports = Object.assign(new Device(), {
	downKey(name) {
		return keyboard.down(name);
	},
	upKey(name) {
		return keyboard.up(name);
	},
	pressKey(name) {
		return keyboard.press(name);
	}
});
