const state = require('../state');
function runByEval(code) {
	let element;
	try{
		const selectorFunc = new Function(`return ${code}`);
		element = selectorFunc();
	} catch (err) {
		state.error('invalid-eval-expression', err);
	}
	if(isDOMElement(element)) {
		return [element];
	} else {
		state.error('selector', new Error('Result is not a valid dom element.'));
	}
	return [];
}

function isDOMElement(obj) {  
	return obj && obj.nodeType === 1;  
}  

exports.runByEval = runByEval;